Subject: Re: net: Remove iocb argument from sendmsg and recvmsg

From: Tadeusz Struk <[email-masked]>
Date: Tue, 10 Mar 2015 20:25:29 -0700

On 03/10/2015 08:18 PM, Ying Xue wrote:
> Sorry, I did not realize the case when I created the commit. However, although I
> don't understand its scenario, in my opinion, adding one redundant argument for
> all sockets to satisfy the special case seems unreasonable for us.

In my opinion this is not about a single, special case, but rather about being able to support asynchronous operations on socket interface.
It is important for AF_ALG since we have crypto HW accelerators, that people want to access from user space, but in the future there might be other use cases.
Regards,
Tadeusz